Bug 698997 - [abrt] audacity-1.3.12-0.6.beta.fc14: DeviceName: Process /usr/bin/audacity was killed by signal 11 (SIGSEGV)
Summary: [abrt] audacity-1.3.12-0.6.beta.fc14: DeviceName: Process /usr/bin/audacity w...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audacity
Version: 14
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Manuel F Martinez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:459ae261ee63b21862563aff0a6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-22 15:17 UTC by Ulrich Walczak
Modified: 2011-05-25 02:53 UTC (History)
2 users (show)

Fixed In Version: audacity-1.3.13-0.4.beta.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-25 02:53:30 UTC


Attachments (Terms of Use)
File: backtrace (42.87 KB, text/plain)
2011-04-22 15:17 UTC, Ulrich Walczak
no flags Details

Description Ulrich Walczak 2011-04-22 15:17:15 UTC
abrt version: 1.1.17
architecture: i686
Attached file: backtrace, 43895 bytes
cmdline: audacity
component: audacity
Attached file: coredump, 78229504 bytes
crash_function: DeviceName
executable: /usr/bin/audacity
kernel: 2.6.35.12-88.fc14.i686
package: audacity-1.3.12-0.6.beta.fc14
rating: 4
reason: Process /usr/bin/audacity was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1303485411
uid: 500

How to reproduce
-----
1.play a recording,
2. open tool bar
3. select input device Jack...

Comment 1 Ulrich Walczak 2011-04-22 15:17:18 UTC
Created attachment 494251 [details]
File: backtrace

Comment 2 David Timms 2011-04-24 06:03:51 UTC
It seems thread 1, 5 and 4 are relevant.

(In reply to comment #0)
From what I can see, I assume you missed:

0. install jack

0.1 run jackd

> 1.play a recording,

1b: stop the playback

> 2. open tool bar
2  View|Toolbars|Device Toolbar: check

> 3. select input device Jack...
What type of IO were you using to start ?
I guess you dropped down the list, and clicked from that IO to Jack ?

Was the crash immediate, or after attempting playback ?

What version of JACK is installed ?
Which jackd are you running ? (eg rt etc)
Is this the same as if jack dies eg:
 ps aux|grep jack
 kill <value> from above

Is it reproducible ?

Comment 3 Fedora Update System 2011-04-27 22:11:47 UTC
audacity-1.3.13-0.3.beta.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/audacity-1.3.13-0.3.beta.fc14

Comment 4 Fedora Update System 2011-04-29 03:22:38 UTC
Package audacity-1.3.13-0.3.beta.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing audacity-1.3.13-0.3.beta.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/audacity-1.3.13-0.3.beta.fc14
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-05-05 22:40:49 UTC
audacity-1.3.13-0.4.beta.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/audacity-1.3.13-0.4.beta.fc14

Comment 6 Fedora Update System 2011-05-25 02:52:44 UTC
audacity-1.3.13-0.4.beta.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.